using System;
using System.IO;

namespace Sample
{
    class Sample
    {
        static void Main(string[] args)
        {
            //Export to PDF only custom area from sheet
            SautinSoft.ExcelToPdf x = new SautinSoft.ExcelToPdf();

            //Select area (A1;D5) from sheets 1,2 to export
            x.Sheets.PrintArea.Custom(new int[] { 1, 2 }, "A1", "D5");
            
            //Select area (A1;D5) from all sheets
            //x.Sheets.PrintArea.All("A1", "D5");

            string excelPath = @"..\..\..\..\..\test.xls";
            string pdfPath = @"..\..\..\..\..\test.pdf";

            if (x.ConvertFile(excelPath, pdfPath)==0)
            {
                System.Diagnostics.Process.Start(pdfPath);
            }
        }
    }
}
